﻿$ErrorActionPreference = 'Stop'

if ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86) {
  throw ("This application currently only supports 64-bit Windows systems.")
}

if ([Environment]::OSVersion.Version.Major -lt 10) {
  throw ("Since v5.1.4 release, the app doesn't support Windows systems older than 10.")
}

$packageArgs = @{
  url64         = 'https://github.com/vladimiry/ElectronMail/releases/download/v5.1.5/electron-mail-5.1.5-windows-x64-nsis-installer.exe'
  checksum64    = '39aeaf0b5d2b655afbf17559eb38cc9a736021fbc17fc1d3d87a31a947c3a723'
  checksumType  = 'sha256'
  softwareName  = 'ElectronMail*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  packageName   = $env:ChocolateyPackageName
}

Install-ChocolateyPackage @packageArgs
